#
# spec file for package xdf
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xdf
Version:        1.4.37
Release:        2.2
Summary:        Flexible File System Disk Space Usage Reporter
License:        Apache Software License version 2.0 (Apache-2.0)
Group:          System/Base
Url:            http://xdf.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/xdf/xdf-%{version}-src.tar.gz
# disable strip, pass OPTFLAGS, pass PREFIX, use DESTDIR, fix installation
Patch1:         xdf-makefile.patch
BuildRequires:  gcc
BuildRequires:  glibc-devel
BuildRequires:  make
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Exquisite `df' (xdf) is a souped-up version of df(1) rewritten from scratch
and focused on flexibility of field selection and output format.

It offers HTML and CSV outputs, besides the traditional text-based console
output.

It is fit for system administrators who are tired of post-processing df(1)
output through shell or Perl scripts in order to avoid broken lines or to get a
simple total/summary line.

%prep
%setup -q -c "%{name}-%{version}"
%patch1

%build
pushd xdf1
# not autoconf
./configure
make %{?_smp_mflags} PREFIX="%{_prefix}" OPTFLAGS="%{optflags} -Wall"
popd

%install
pushd xdf1
make DESTDIR=%{buildroot} PREFIX="%{_prefix}" install
popd

%files
%defattr(-,root,root)
%doc xdf1/AUTHORS xdf1/ChangeLog xdf1/LICENSE
%doc xdf1/NEWS xdf1/README xdf1/THANKS xdf1/TODO
%{_bindir}/xdf
%{_mandir}/man1/xdf.1%{ext_man}

%changelog
* Tue Nov 22 2016 aloisio@gmx.com
- Fixed Factory build
- Spec cleanup
* Tue Dec 28 2010 pascal.bleser@opensuse.org
- update to 1.4.37:
  * brings an option to enable an alternate field delimiter on CSV output
  * this version has been tested and verified stable on AIX, Solaris, HP-UX, Linux, BSD, and Cygwin
* Wed Dec 22 2010 pascal.bleser@opensuse.org
- update to 1.4.36:
  * adds a "-5" flag to show sizes in units of 512-byte sectors for legacy compatibility with BSD systems
* Wed Dec 15 2010 pascal.bleser@opensuse.org
- update to 1.4.34:
  * new flag to display the percentage of free space (instead of the default percent of space in use)
* Mon Dec 13 2010 pascal.bleser@opensuse.org
- initial package (1.4.33)
